Bug 130562 - can't mount nokia 5510
can't mount nokia 5510
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-21 17:51 EDT by Ivan Sedo
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:56:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivan Sedo 2004-08-21 17:51:55 EDT
Description of problem:
I can't mount my nokia 5510, which has 64(?)MB it should act as an usb
mass storage device, but it don't work, I got this message from dmesg

usb 5-1: new full speed USB device using address 2
Initializing USB Mass Storage driver...
scsi2 : SCSI emulation for USB Mass Storage devices
  Vendor: Nokia     Model: 5510              Rev: 0001
  Type:   Direct-Access                      ANSI SCSI revision: 02
SCSI device sdb: 124896 512-byte hdwr sectors (64 MB)
sdb: test WP failed, assume Write Enabled
sdb: assuming drive cache: write through
Device not ready.  Make sure there is a disc in the drive.
 sdb: sdb1
Device not ready.  Make sure there is a disc in the drive.
Attached scsi removable disk sdb at scsi2, channel 0, id 0, lun 0
Attached scsi generic sg1 at scsi2, channel 0, id 0, lun 0,  type 0
USB Mass Storage device found at 2
usbcore: registered new driver usb-storage
USB Mass Storage support registered.
Device not ready.  Make sure there is a disc in the drive.
Device not ready.  Make sure there is a disc in the drive.
updfstab: Using deprecated /dev/sg mechanism instead of SG_IO on the
actual device
updfstab: Using deprecated /dev/sg mechanism instead of SG_IO on the
actual device
Device not ready.  Make sure there is a disc in the drive.
Device not ready.  Make sure there is a disc in the drive.
usb 5-1: USB disconnect, address 2
updfstab: Using deprecated /dev/sg mechanism instead of SG_IO on the
actual device

----------------
sda is my disk
and this is what I got when try to view sdb with fdisk

Disk /dev/sdb: 63 MB, 63946752 bytes
8 heads, 32 sectors/track, 487 cylinders
Units = cylinders of 256 * 512 = 131072 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/sdb1   *           1         489       62576    6  FAT16
Partition 1 has different physical/logical beginnings (non-Linux?):
     phys=(0, 1, 1) logical=(0, 0, 32)
Partition 1 has different physical/logical endings:
     phys=(487, 7, 32) logical=(488, 7, 31)



Version-Release number of selected component (if applicable):
kernel 2.6.8-1.525

How reproducible:
always

Steps to Reproduce:
1. plug nokia 5510
2. check dmesg and fdisk on device
3.
  
Actual results:
can't mount nokia 5510 mass storage

Expected results:
nokia 5510 should be mountable

Additional info:
Comment 1 Dave Jones 2005-04-16 00:56:27 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.